org.deidentifier.arx

## Enum ARXConfiguration.Monotonicity

- java.lang.Object
- - java.lang.Enum<ARXConfiguration.Monotonicity>
  - - org.deidentifier.arx.ARXConfiguration.Monotonicity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ARXConfiguration.Monotonicity>

Enclosing class:
  ARXConfiguration

    public static enum ARXConfiguration.Monotonicity
    extends java.lang.Enum<ARXConfiguration.Monotonicity>

Monotonicity.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FULL` Fully monotonic
`NONE` Non-monotonic
`PARTIAL` Partially monotonic

### Method Summary

All Methods Static Methods Concrete Methods
`static ARXConfiguration.Monotonicity` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ARXConfiguration.Monotonicity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FULL

    public static final ARXConfiguration.Monotonicity FULL

Fully monotonic

#### PARTIAL

    public static final ARXConfiguration.Monotonicity PARTIAL

Partially monotonic

#### NONE

    public static final ARXConfiguration.Monotonicity NONE

Non-monotonic

### Method Detail

#### values

    public static ARXConfiguration.Monotonicity[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ARXConfiguration.Monotonicity c : ARXConfiguration.Monotonicity.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ARXConfiguration.Monotonicity valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null